libattean-perl (0.019-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.018
    + Add tests for turtle parser escape handling.
    + Allow UUIDs to have lowercase hex digits.
    + Documentation fixes.
    + Fix as_string serialization of CONSTRUCT algebras.
    + Improve code coverage for Attean::TermMap.
    + Improve to HashJoin query planning.
    + Remove LICENSE file and update licensing statement in individual
      modules.
    + Update Makefile.PL for perl 5.26.
    + Update required version of IRI.
    + Use Moo::Role instead of namespace::clean to cleanup namespaces.
    0.019
    + Documentation updates.
    + Fix incorrect URI for langString.
      Closes: Bug#890245. Thanks to Kjetil Kjernsmo.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
  * Drop patch 1001: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2018 14:13:22 +0100

libattean-perl (0.017-2) unstable; urgency=medium

  * Update watch file:
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Update package relations:
    + Relax to suggest (not depend on) libmoose-perl libtest-modern-perl
      libtest-roo-perl.
    + Relax to (build-)depend unversioned on libscalar-list-utils-perl
      liburi-namespacemap-perl perl: Needed versions satisfied even in
      oldstable.
  * Modernize cdbs:
    + Drop get-orig-source target: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on devscripts.
  * Update watch file: Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Add DEP-3 headers to patch.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Oct 2017 15:48:53 +0200

libattean-perl (0.017-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.014
    + Add a size estimate attribute to Attean::Plan::Iterator.
    + Add Attean::Plan::Iterator for cases where there is too much data
      for Attean::Plan::Table.
    + Add ability for parsers to construct lazy IRIs.
    + Add type checking to serialize_iter_* methods.
    + Added Attean::ListIterator->size method.
    + Fix cases where result iterators were constructed without a
      variables list.
    + Improve error message generated for some SPARQL syntax errors.
    + Update Attean::FunctionExpression to canonicalize ISURI to ISIRI.
    0.015
    + Fix metadata used to generate README files.
    0.016
    + Port RDF::Trine::Serializer::RDFXML to AtteanX::Serializer::RDFXML.
    + Add serialization of SPARQL PREFIX declarations and prefixnames
      when namespaces are set.
    + Add Test::Attean::QuadStore->cleanup_store method.
    + Add Test::Attean::StoreCleanup role and add store cleanup to store
      tests.
    + Change Attean::TriplePattern->as_quadpattern to delegate to
      Attean::API::TriplePattern->as_quad_pattern.
    + Fix overly aggressive code that attempted to turn IRIs into prefix
      names during Turtle serialization.
    + Fix bug in SPARQL parsing of NIL tokens.
    + Fixes to POD, test, and metadata issues.
    + Improve Attean::SimpleQueryEvaluator to handle updated algebra
      classes and iterator API.
    + Improve test suite.
    + Remove AtteanX::RDFQueryTranslator (split into a new package) and
      all other references to RDF::Query.
    + Remove default implementation of Attean::API::Term->ebv (now
      required of consumers).
    + Serialize SPARQL and Turtle namespace declarations in a stable
      order.
    + Update Attean::API::AbbreviatingParser->base definition to be a
      consumer of Attean::API::IRI.
    + Update Attean::API::SPARQLSerializable->as_sparql to return a
      unicode string, not bytes.
    0.017
    + Port SPARQL-JSON serializer to Attean.
    + Add a .gitignore file.
    + Change use of binmode to "use open" in attean_parse and
      attean_query.
    + Fix Construct plan string serialization.
    + Fix declared arity of various algebra classes.
    + Fix bug in handling of restricted available named graphs during
      query planning.
    + Fix documentation in Attean::QueryPlanner.
    + Improve handling of unexpected EOF in AtteanX::Parser::SPARQL.
    + Improve test coverage.
    + Improve use of Travis CI (#100 from @cakirke).
    + Make parse_term_from_string deprecations noisy.
    + Remove default implementation of Attean::API::Plan->plan_as_string.
    + Update SPARQL parser to produce Attean::Algebra::Reduced algebra
      objects for REDUCED queries.
    + Update required versions of Moo and Test::Modern.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Build-depend on libplack-perl libregexp-common-perl
      libxml-simple-perl.
    + (Build-)depend on recent librole-tiny-perl.
    + Tighten and also depend (not only build-depend) on
      libtest-modern-perl.
    + Also depend (not only build-depend) on libmoose-perl
      libtest-roo-perl.
    + Tighten (build-)dependency on libiri-perl libmoo-perl.
    + Stop (build-)depend on libfile-sharedir-perl librdf-query-perl.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Git-ignore quilt .pc dir.
  * Add patch 1001 to fix regex in UUID test.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jun 2016 10:27:43 +0200

libattean-perl (0.013-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add role Attean::API::BulkUpdatableStore.
    + Add methods Attean::API::MutableModel->load_urls_into_graph
      Attean::API::QuadPattern->as_triple_pattern
      Attean::API::TripleOrQuadPattern->parse
      AtteanX::Parser::SPARQL->parse_nodes
    + Add Attean::Algebra::Query to indicate a full query trees and aid
      in serialization.
    + Add constructor AtteanX::SPARQL::Token->integer.
    + Add parsing, algebra, planning, and test support for SPARQL 1.1
      Updates.
    + Add and use flag Attean::Algebra::Query->subquery when appropriate
      and stop generating needless unary join algebras.
    + Add child accessor to Attean::API::UnaryQueryTree.
    + Add CONTRIBUTING file.
    + Allow producing short blank node labels in attean_query results.
    + Check types of invocant and model objects in calls to
      cost_for_plan planning method.
    + Fix Attean::API::IDPJoinPlanner->cost_for_plan to pass the planner
      object in calls to the model.
    + Fix Attean::Algebra::Update->blank_nodes.
    + Fix Attean::QueryPlanner active_graphs argument during recursive
      call to plans_for_algebra.
    + Fix lost in-scope variables in aggregation algebra and plans.
    + Fix result iterator generation for quad patterns to keep
      associated variable names.
    + Fix serialization of SILENT flag on Service queries.
    + Fix sparql_tokens generation for quad patterns to use SPARQL GRAPH
      syntax, not N-Quads syntax.
    + Fix return rdf:langString (not rdf:string) for language literals
      in Attean::Literal.
    + Improve error messages in Attean::CodeIterator and
      Attean::API::Binding.
    + Improve errors and logging in SPARQL parser.
    + Improve handling of utf8 encoding in SPARQL/XML, algebra, and plan
      serializations.
    + Improve temporary variable names in aggregates generated during
      parsing.
    + Improve Attean::Plan::Union to handle plans with zero children.
    + Improve error message in query planners.
    + Pass tree depth as argument to algebra_as_string.
    + Refactor SPARQL 1.1 test harness into a testing role.
    + Update bin/attean_query to allow dryruns to avoid generating query
      plans when appropriate.
    + Update attean_query to allow updates.

  [ Jonas Smedegaard ]
  * Update and expand long description, based on upstream README.
  * Update package relations: Build-depend on libfile-sharedir-perl.
  * Modernize Vcs-Git field: Use https URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Mar 2016 21:57:44 +0100

libattean-perl (0.012-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean::API::TermOrVariable->apply_binding method.
    + Add AtteanX::Store::SimpleTripleStore.
    + Die on attempts to add non-ground triples/quads to stores.
    + Fix Attean::Algebra::Table to consume
      Attean::API::NullaryQueryTree instead of
      Attean::API::UnaryQueryTree.
    + Fix type checks performed when ATTEAN_TYPECHECK is set.
    + Improve error reporting for unexpected EOF in
      AtteanX::Parser::SPARQL.
    + Throw an error when Triple or Quad objects gets passed a variable.
    + Add planning support for DESCRIBE queries.
    + Add type checking to store get_triples and get_quads methods.
    + Add logging in QueryPlanner and TreeRewriter.
    + Avoid attempting to parse empty XML documents when passed in as a
      scalar.
    + Fix Attean::CodeIterator type checking to handle non-blessed items
      properly.
    + Fix AtteanX::Parser::RDFXML to properly use caller-supplied base
      IRI.
    + Fix algebra generation for describe queries in SPARQL parser.
    + Fix bug in Attean::Plan::Aggregate handling of COUNT(*) queries.
    + Fix bugs in SPARQL CSV and TSV serializers.
    + Fix sparql_tokens generation for integer and datatyped literals.
    + Fixed AtteanX::Parser::SPARQL to maintain its URI::NamespaceMap on
      prefix declarations.
    + Improve POD and test coverage.
    + Improve attean_parse and attean_parse including preservation of
      prefix declarations where possible.
    + Improve regex escaping in t/algebra.t to silence warnings in perl
      5.22.
    + Improve use of SPARQL and Turtle token objects.
    + Improve triple model classes to allow adding and dropping triple
      store graphs.
    + Merge code paths for canonical NTriples serializer.
    + Preserve in-scope variables in result iterators.
    + Serialize SPARQL/XML bindings in a stable order.
    + Simplify cost estimation code for hash joins in
      Attean::API::QueryPlanner.
    + Update SPARQL parser to die on unimplemented Update syntax.
    + Update SPARQL/HTML serializer to implement AbbreviatingSerializer.
    + Update turtle serializer to consume
      Attean::API::AppendableSerializer.
    + Update prerequisites in Makefile.PL and .travis.yml.
    + Use Test::Modern.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libalgorithm-combinatorics-perl
      libfile-slurp-perl libjson-perl libwww-perl liblist-moreutils-perl
      libmodule-pluggable-perl libtext-csv-perl libxml-sax-perl.
    + Build-depend on libmoose-perl.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
  * Declare compliance with Debian Policy 3.9.7.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Feb 2016 04:48:10 +0100

libattean-perl (0.011-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add initial implementation for Attean::MutableTripleModel.
    + Add logging of costs to query planner (#56 from KjetilK).
    + Add use of MooX::Log::Any (from KjetilK).
    + Add Attean::API::Plan->subplans_of_type_are_variable_connected
      method.
    + Add Attean::API::Plan->children_are_variable_connected.
    + Add AtteanX::Parser::SPARQL->parse convenience method.
    + Add RDF/XML parser tests.
    + Add Turtle serializer.
    + Add exportable quadpattern constructor.
    + Add tests for get_sequence model accessor method (#3).
    + Change API for Attean::API::CostPlanner->cost_for_plan to pass in
      the query planner.
    + Fix bug in handling unbound join variables in hash join
      evaluation.
    + Fix use of blank and variable shortcut constructors.
    + Fix AtteanX::Serializer::SPARQLHTML->serialize_iter_to_bytes bug.
    + Implement canonicalize method for triple and quad patterns.
    + Improve Attean::ExistsExpression->as_string.
    + Improve cost estimation for cartesian joins in
      Attean::API::QueryPlanner.
    + Improve SPARQL serialization of algebra and expression trees.
    + Improve error handling in Attean::ListIterator->BUILD.
    + Improve recognition of invalid aggregation queries.
    + Make regexes used for prefixname parsing publicly accessibly.
    + Merge shared constants for Turtle and SPARQL tokens.
    + Move subpatterns_of_type from Attean::API::Algebra to
      Attean::API::DirectedAcyclicGraph.
    + Rename parse_term_from_string methods to parse_term_from_bytes
      (adding delegating methods to be deprecated in the future).
    + Silence XML::Parser warnings on empty input documents.
    + Update AtteanX::Parser::RDFXML to populate a namespace map during
      parsing.
    + Update Attean::API::CanonicalizingBindingSet to produce same
      object type as input.
    + Update copyright years.

  [ Jonas Smedegaard ]
  * Fix watch file to handle version prefix.
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
  * Update package relations: (Build-)depend on libmoox-log-any-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Jan 2016 12:07:02 +0530

libattean-perl (0.010-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add INVOKE function expression to allow representing IRI-defined
      functions.
    + Add Attean::API::Algebra methods blank_nodes and
      subpatterns_of_type.
    + Add Attean::API::SimpleCostPlanner.
    + Add Attean::API::UnionScopeVariablesPlan role to handle common
      computation of in-scope variables.
    + Add Attean::Algebra::Sequence class.
    + Add AtteanX::API::JoinRotatingPlanner role.
    + Add SPARQL parsing support for RANK operator.
    + Add initial algebra and plan support for group ranking.
    + Add simple SPARQL HTML serializer.
    + Add simple SPARQL serializer implementation.
    + Add ability to turn some query algebras into SPARQL token
      interators.
    + Compute in-scope variables in Attean::Plan::Quad instead of
      relying on calling code.
    + Ensure query plan costs are integers, fixing a bug when running on
      perl with long doubles.
    + Fix attean_query to support custom output serializers.
    + Fix bug in Attean::Algebra::Project->in_scope_variables.
    + Fix bug in t/http-negotiation.t that caused false failures when
      negotiation led to the Canonical NTriples serializer.
    + Fix mis-named method call in AtteanX::Store::Memory.
    + Improve error messages in query planning code.
    + Improve serializer negotiation to support multiple classes that
      handle the same media type.
    + Port RDF::Query SPARQL parser to Attean.
    + Refactor query planner to separate IDP code from the core planning
      code.
    + Rename Attean::API::Planner to Attean::API::QueryPlanner and
      re-organize planning code.
    + Update Changes metadata handling to use
      Module::Instal::DOAPChangeSets.
    + Update Attean::Algebra::Join to be n-ary, not binary.
    + Update attean_query to use the native SPARQL parser.

  [ Jonas Smedegaard ]
  * Update copyright info: Add/extend Fils sections to cover newly added
    files (no new licenses).
  * Update package relations: Build-depend on libtest-modern-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2015 21:41:13 +0530

libattean-perl (0.009-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.008:
    + Add heap sort plan implementation.
    + Add Attean::API::Plan::Join role.
    + Add apply_triple and apply_quad methods to triple and quad pattern
      classes to produce Result objects.
    + Move computation of in_scope_variables from calling code to to
      Plan class BUILDARGS.
    + Consolidate BUILDARGS handling in
      Attean::API::TripleOrQuadPattern.
    + Attean::API::TripleOrQuadPattern constructors now accepts
      non-existent parameters.
    0.009:
    + Add Attean::API::Result->shared_domain method.
    + Improve query planner and plan implementations to support SPARQL
      1.1 test suite.
    + Remove HeapSort plan implementation and use of Array::Heap due to
      packaging concerns.
    + Improve handling on unicode data in SPARQL TSV parser.

  [ Jonas Smedegaard ]
  * Fix lintian overrides.
  * Modernize git-buildpackage config: Avoid git- prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Nov 2015 01:09:55 +0100

libattean-perl (0.007-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean::API::Binding->apply_bindings to bind additional
      variables.
    + Add Attean::API::Binding->is_ground.
    + Add Attean::API::TriplePattern->as_triple,
      Attean::API::QuadPattern->as_quad.
    + Fix Attean plugin loading to allow non-plugins nested below the
      plugin namespace.
    + Add evaluation support for REGEX functions.
    + Improve SPARQL serialization for IRIs and triple patterns.
    + Improve SPARQL serialization of OPTIONAL and boolean literals.
    + POD improvements.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jul 2015 16:56:48 +0200

libattean-perl (0.006-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add Attean->acceptable_parsers method.
    + Add methods to test terms and variables for common term role
      consumption.
    + Add Attean::API::DirectedAcyclicGraph->has_only_subtree_types method.
    + Improve documentation.
    + Fix handling of blank nodes in BGPs in Attean::IDPQueryPlanner.
    + Update Attean::IDPQueryPlanner->join_plans API to allow easier
      extensibility.
    + Update attean_query to use the IDPQueryPlanner.
    + Add HSP heuristics to Attean::IDPQueryPlanner.
    + Disable stable sortint in Attean::IDPQueryPlanner where it is
      unnecessary.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jun 2015 09:59:29 -0500

libattean-perl (0.005-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Update package relations:
    + Build-depend on libtest-lwp-useragent-perl and libtest-roo-perl.
    + (Build-)depend on libmath-cartesian-product-perl.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jun 2015 11:25:42 -0500

libattean-perl (0.003-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add count estimate methods to TripleStore QuadStore roles.
    + Add missing algebra_as_string impelementations in
      Attean::API::Query and Attean::Algebra.
    + Add tree_attributes methods to tree classes.
    + Add Attean::TreeRewriter class.
    + Split Cacheable roles into ETagCacheable and TimeCacheable
      variants.
    + Fixed method name typo in Attean::API::TimeCacheableTripleStore.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2015 12:04:30 +0100

libattean-perl (0.002-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add POD for many classes and roles.
    + Add Attean->negotiate_serializer method.
    + Wrap mutating methods in a single bulk-update.
    + Move RDF::Query algebra translator to AtteanX::RDFQueryTranslator.
    + Update Attean->get_serializer to support media_type argument.
    + Change media_type attributes to class methods in Serializer
      classes.
    + Switched from Sub::Name to Sub::Util.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libhttp-negotiate-perl
    + (Build-)depend on recent libscalar-list-utils-perl (not
      libsub-name-perl).
    + Tighten to (build-)depend on recent liburi-namespacemap-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 23:57:26 +0200

libattean-perl (0.001-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#763313.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Oct 2014 16:51:14 +0200
